#include "calc.h"
/*
    Tesses Calculator a PEMDAS calculator (with mod)
    Copyright (C) 2023 Mike Nolan

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
void truncatezeros(char* c)
{
    size_t pos = strlen(c) - 1;
    while(pos >= 0 && c[pos] == '0' )
    {
        
        c[pos] = 0;
        
        pos--;
        if(pos >= 0 && c[pos] == '.')
        {
            c[pos] = 0;
        }
    }
   
}
int main(int argc,char** argv)
{
    int i;
    for(i=1;i<argc;i++)
    {
        bool error=false;
           char myNumber[1000];
           double val =calc(argv[i],&error);
   if(error)
   {
      snprintf(myNumber,1000,"error");
   }
   else
   {
      snprintf(myNumber,1000,"%f",val);
      truncatezeros(myNumber);
   }
        printf("Answer To Parameter %s = %s\n",argv[i],myNumber);
    }
    return 0;
}